<script src="widget.js"></script>
<style>
  .custom-font {
  font-weight: bolder !important;
  font-family: sans-serif !important;
  color: black !important;
}
</style>
<section class='panel' data-ng-controller="OrdersController" ng-init="initCreate()">
  <header class="panel-heading higher-panel-heading" style="background: transparent;">
    <span class="pull-right" ng-if="placeOrder"> Total Amount: ${{payment_amount.toFixed(2)}} </span>
  </header>

  <div ng-init='checkCart();' ng-show='is_cart && !placeOrder' style='margin-top: 10px;'>

    <div class="form-group row">
      <div class="col-md-12">
        <button ng-click='placeOrder=true;refreshTable();' style='margin-left: 30px;' class='btn btn-info btn-lg pull-right'>View
          Cart</button>
        <div class='cart-total pull-right'>Total items: {{cart_total}} <br>
          Amount: ${{amount.toFixed(2)}}</div>
      </div>
    </div>



  </div>

  <div class="panel-body" ng-show="placeOrder" style="padding: 5px;">

    <div class="col-xs-12 col-md-6">
      <div ng-show="paymentAction" class="col-xs-12">
        <h1 class="btn-danger"> Creating orders, please wait!</h1>
      </div>
      <div ng-show="!paymentAction" class="col-xs-12">
        <h3 class="col-xs-12" ng-if="global.user.balance > 0 && global.user.balance < amount"> Reduced price due
          existing balance </h3>
        <button class="btn btn-info col-md-3" style="margin-right: 5px;" ng-click="addCartPayment('paypal');paymentAction = true;"
          ng-if="global.user.balance >= amount">Pay with Balance</button>
        <button class="btn btn-info col-md-3" style="margin-right: 5px;" ng-click="addCartPayment('paypal');paymentAction = true;"
          ng-if="global.user.refund_balance >= amount">Pay with Refund Balance</button>
        <button ng-show="global.user.balance != amount" class="btn btn-info col-md-2" style="margin-right: 5px;"
          ng-click="addCartPayment('paypal');paymentAction = true;">PayPal</button>
        <button ng-show="global.user.balance != amount" class="btn btn-info col-md-2" ng-click="addCartPayment('cc'); paymentAction = true;">Credit
          Card</button>
        <button class="btn btn-danger col-md-1s" ng-click="placeOrder = false;" style="margin-left: 20px;padding-left: 0px; padding-right: 0px">Go
          Back</button>
      </div>

    </div>

    <div class="col-xs-12 col-md-12" ng-show="!paymentAction">


      <table ng-table="cartParams" show-filter="true" class="ng-table-responsive table table-striped table-advance table-hover orders">
        <tr data-ng-repeat="order in $data">

          <td data-title="'Service'"> {{order.service_label}}</td>
          <td data-title="'URL'">{{order.url}}</td>
          <td data-title="'Price'">{{order.real_price}}</td>
          <td data-title="'Remove'"><a ng-click='cartRemove(order.id); refreshTable();' class="remove-item glyphicon glyphicon-trash"></a>
          </td>
        </tr>
      </table>


    </div>




    <script src="https://www.2checkout.com/static/checkout/javascript/direct.min.js"></script>

  </div>
  <div class="panel-body" ng-hide="placeOrder">
    <form class="form-horizontal" name="form" role="form" data-ng-submit="create()" novalidate>
      <div class='col-md-6'>
        <div class="form-group">
          <label mean-token="'create-url'" class="col-md-3 control-label">URL</label>
          <div class="col-md-9" ng-show="serviceObject.value == 'ig_followers'">

            <input type="text" class="form-control" name='url' data-ng-model="url" id="url" placeholder="Enter the URL here"
              required ng-change='verifyServiceUrl()'>
            <span class="help-inline" ng-show="!urlFitsPattern()">

            </span>
          </div>

          <div class="col-md-9" ng-show="serviceObject.value != 'ig_followers'">

            <input type="text" class="form-control" name='url' data-ng-model="url" id="url" placeholder="Enter the URL here"
              required ng-change='verifyServiceUrl()'>
            <span class="help-inline" ng-show="form.$error.url || !urlFitsPattern()">
              <span ng-if="serviceObject.value == 'ig_likes'"> Click <a target='_new' href='https://help.instagram.com/372819389498306'>here</a>
                to find your photo address. </span>
              <span ng-if="serviceObject.value != 'ig_likes'" ng-bind-html="url_error"></span>
              <br>

              <span ng-show='!url_error'>Looks like the URL is invalid or is not supported by the selected service.</span></span>
          </div>
        </div>
        <div class="form-group">
          <label mean-token="'create-service'" class="col-md-3 control-label">Service</label>
          <div class="col-md-9">
            <!-- <select name="service" id="service" data-ng-model="service" class="form-control" required>
              <option data-ng-repeat="service in services" value="{{service.value}}">{{service.label}}</option>
            </select> -->
            <ui-select ng-model="selectedService.service" theme="select2" style="width: 100%;">
              <ui-select-match placeholder="Select a service...">{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" group-filter="groupSort" repeat="service.value as service in services | propsFilter: {label: $select.search}">
                <div ng-bind-html="service.label | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>

        </div>
        <div class="form-group" ng-hide="!serviceObject.targeted">
          <label mean-token="'create-countries'" class="col-md-3 control-label">Countries</label>
          <div class="col-md-9">
            <ui-select multiple require-multiple ng-model="selectedCountries.countries" theme="select2" style="width: 100%;">
              <ui-select-match placeholder="Select country...">{{$item.text}}</ui-select-match>
              <ui-select-choices repeat="country.id as country in getServiceCountries() | propsFilter: {id: $select.search, text: $select.search}">
                <div ng-bind-html="country.text | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>
        <div class="form-group" ng-show="!serviceObject.recurring && serviceObject.value != 'ig_custom' && serviceObject.value != 'ig_mentions' && serviceObject.value != 'unlimited_fb' && serviceObject.value != 'musically_followers' && serviceObject.value != 'musically_likes'">
          <label mean-token="'create-quantity'" class="col-md-3 control-label">How Many?</label>
          <div class="col-md-9">
            <!-- <input type="text" class="form-control" data-ng-model="quantity" id="quantity" placeholder="" required> -->
            <input type='text' ng-model="quantity" class='form-control custom-font'>
          </div>
          <!--<div class="col-md-7">
            <div class='price-multiplier' ng-if="service"><span>x</span>&nbsp;{{getServiceMultiplier()}}&nbsp;=&nbsp;{{getServiceCount()}} Total</div>
          </div>-->
        </div>
        <div class="form-group" ng-show="serviceObject.recurring && serviceObject.value != 'ig_custom' && serviceObject.value != 'unlimited_fb' && serviceObject.value != 'musically_followers' && serviceObject.value != 'musically_likes'">
          <label mean-token="'create-quantity'" class="col-md-3 control-label">How Many?</label>
          <div class="col-md-9">
            <ui-select ng-model="serviceObject.selectedPackage" theme="select2" style="width: 100%;">
              <ui-select-match placeholder="Select a package...">{{$select.selected.label}}</ui-select-match>
              <ui-select-choices group-by="groupByCategory" repeat="package in serviceObject.packages | propsFilter: {label: $select.search}">
                <div ng-bind-html="package.label | highlight: $select.search"></div>
              </ui-select-choices>
            </ui-select>
          </div>
        </div>


        <div class="form-group" ng-show="serviceObject.value == 'yt_views_smlite_packages'">
          <label mean-token="'create-speed'" class="col-xs-4 col-md-3 control-label iframe-speed">Speed</label>
          <div class="col-xs-8 col-md-9">

            <select class="form-control iframe-service custom-font" ng-model="indexer" ng-change="updateQuantity();">
              <option ng-repeat="option in serviceObject.dropdown" ng-hide="option.api_hidden" value="{{$index}}">{{option.title}}</option>
            </select>
          </div>

        </div>


        <div class="form-group" ng-show="serviceObject.value == 'yt_trending_views' || serviceObject.value == 'tw_targeted' || serviceObject.value == 'yt_sm_target'">
          <label mean-token="'create-speed'" class="col-xs-4 col-md-2 control-label iframe-speed">Country</label>
          <div class="col-xs-8 col-md-10">

            <select class="form-control iframe-service" ng-model="twTargeted_api">
              <option ng-repeat="option in serviceObject.dropdown" ng-if="!option.api_hidden" value="{{option.api_code}}"
                selected="selected">{{option.title}} </option>
            </select>
          </div>

        </div>


        <div class="form-group" ng-show="serviceObject.value == 'unlimited_fb' || serviceObject.value == 'musically_followers' || serviceObject.value == 'musically_likes'"
          style="margin-bottom: 10px;">
          <label mean-token="'create-speed'" class="col-xs-4 col-md-2 control-label iframe-speed">Service</label>
          <div class="col-xs-8 col-md-10">
            <!-- <select ng-options="option.title for option in service.dropdown track by option.title" ng-model="twTargeted"></select> -->

            <select class="form-control iframe-service" ng-model="twTargeted" ng-selected="facebookPrice = option.fixed_price">
              <option ng-repeat="option in serviceObject.dropdown" ng-if="!option.api_hidden" value="{{option.api_code}}"
                selected="selected">{{option.title}} - {{option.fixed_price}} USD </option>

            </select>
          </div>

        </div>

        <div class="form-group" ng-show="serviceObject.value == 'yt_usa_new' || serviceObject.value == 'Youtube_views_new'">
          <label mean-token="'create-speed'" class="col-md-3 control-label">Select Speed</label>
          <div class="col-md-9">

            <select class="form-control custom-font" style="width: 100%;" ng-model="eatSpeed" ng-init="eatSpeed='NL'">
              <option value="NL" selected>Normal (10k Per day)</option>
              <option value="FA">Fast (20k - 60k Per day)</option>
              <option value="SF">Super Fast (80k - 100k + per day)</option>
            </select>
          </div>

        </div>
        <div class="form-group" ng-show="serviceObject.value == 'fb_emoticons_elite'">
          <label mean-token="'create-speed'" class="col-md-3 control-label">Select Emoticon</label>
          <div class="col-md-9">

            <select class="form-control" style="width: 100%;" ng-model="emoticon" ng-init="emoticon='26'">
              <option value="26" selected>Love</option>
              <option value="27">HAHA</option>
              <option value="28">Wow</option>
              <option value="29">Sad</option>
              <option value="30">Angry</option>
            </select>
          </div>

        </div>
        <div class="form-group" ng-hide="!url" ng-if="serviceObject.value != 'unlimited_fb' && serviceObject.value != 'musically_followers' && serviceObject.value != 'musically_likes'">
          <label mean-token="'create-price'" class="col-md-3 control-label">Price</label>
          <div class="col-md-9">
            <div class='price-field'>{{getServicePriceWithDiscount()}}</div>

            <div class="checkbox" ng-show="show_speedi && serviceObject.value != 'fb_usa'">
              <label><input type="checkbox" ng-click='getServicePriceWithDiscount();' ng-model="fasterSpeed" id="fasterSpeed"
                  placeholder="">Faster Speed</label>
            </div>

            <div class="checkbox">
              <label><input type="checkbox" ng-model="fullDiscount.haveDiscount" id="haveDiscount" placeholder="">I
                have a discount code</label>
            </div>
          </div>
        </div>
        <div class="form-group" ng-hide="url" ng-if="serviceObject.value != 'unlimited_fb' && serviceObject.value != 'musically_followers' && serviceObject.value != 'musically_likes'">
          <label mean-token="'create-price'" class="col-md-3 control-label">Price</label>
          <div class="col-md-9">
            <div class='price-field'>Enter URL above to get a price</div>
          </div>
        </div>
        <div class="form-group" ng-hide="!fullDiscount.haveDiscount">
          <label mean-token="'create-price'" class="col-md-3 control-label">Discount</label>
          <span ng-show="!discount.code">
            <div class="col-md-5">
              <input type="text" class="form-control" ng-model="discountCode" id="discountCode" placeholder="Enter your discount code here">
            </div>
            <div class="col-md-4">
              <a class='btn btn-default btn-block applyDiscountButton' ng-click="applyDiscount()" style="line-height: 29px;">Apply
                Discount</a>
            </div>
          </span>
          <span ng-show="discount.code">
            <div class="col-md-5" style="line-height: 42px;">
              <div ng-if="discount.price">{{discount.price | numeral:'$0,0.00'}} off</div>
              <div ng-if="discount.percent">{{discount.percent | numeral:'%0,0.00'}} off</div>
            </div>
            <div class="col-md-4" ng-if="discount.code">
              <a class='btn btn-default btn-block applyDiscountButton' ng-click="cancelDiscount()" style="line-height: 29px;">Cancel
                Discount</a>
            </div>
          </span>
        </div>
        <div class='col-md-12 link-info'>

        </div>



      </div>






      <div class='form-group row' ng-hide='serviceObject.value != "ig_mentions"'>



        <div class="col-md-12">
          <textarea class="form-control" rows="10" placeholder="Usernames (1 per line)" ng-model="comment" ng-change="checkComments()"></textarea>
        </div>
        <div class='col-md-12'>
          <center><b>Minimum amount is 20</b></center>
        </div>
      </div>

      <div class='form-group' ng-show='serviceObject.value == "ig_custom" || serviceObject.value == "fb_comments_customelite" || serviceObject.value == "yt_custom_elite"'>
        <div class='col-md-12'>
          <textarea class="form-control" rows="10" placeholder="Comments (1 per line)" ng-model="comment" ng-change="checkComments()"></textarea>


        </div>
        <div class='col-md-12'>
          <center><b>Minimum amount is 5</b></center>
        </div>
      </div>







      <div class='col-md-6' ng-show='serviceObject.description'>
        <center><b>{{serviceObject.description}}</b></center>
      </div>
      <div class='form-group' ng-hide='serviceObject.value != "ig_mentions_hashtag"'>
        <div class='col-md-12'>



          <label mean-token="'create-hashtag'" class='col-md-2 control-label'>Hashtag</label>
          <span class='col-md-5' style='margin-left: -40px;'>
            <input class='form-control' type='text' ng-model='hashtag' name='hashtag' id='hashtag' placeholder='Example: SocialMediaRantic'
              required>
          </span>






        </div>
      </div>


      <div class='form-group' ng-hide='serviceObject.value != "ig_mentions_followers"'>
        <div class='col-md-12'>



          <label mean-token="'create-followers'" class='col-md-2 control-label'>Username</label>
          <span class='col-md-5' style='margin-left: -40px;'>
            <input class='form-control' type='text' ng-model='followers' name='followers' placeholder='Instagram account name'
              required>
          </span>

        </div>
      </div>

      <div class='form-group' ng-hide='serviceObject.value != "ig_mentions_likers"'>
        <div class='col-md-12'>



          <label mean-token="'create-media'" class='col-md-2 control-label'>Post</label>
          <span class='col-md-5' style='margin-left: -40px;'>
            <input class='form-control' type='text' ng-model='ig_media' name='ig_media' placeholder='Post to scrape usernames from'
              required>
          </span>

        </div>
      </div>






      <div class='col-md-12' ng-if="serviceObject.discount">
        <div ng-repeat="item in serviceObject.discount_settings">
          <h3 ng-if="item.price" style="color: #f31e0d;">Get {{item.percentage}}% more when you purchase over
            {{item.price}}$ value! </h3>
        </div>
        <h1 style="color: #27AE61" ng-if="totalQuantity">Congrats! You will get +{{totalQuantity}} for Free with this
          order!</h1>
      </div>
      <div class="form-group">
        <div class="col-md-offset-6 col-md-6">
          <button type='button' ng-click='actionInProgress=true;placeOrdernow=false;verify_fb(false)' ng-disabled="form.$invalid; actionInProgress"
            style='margin-left: 30px;' class='btn btn-info btn-lg pull-right col-md-4'>Add to Cart</button>

          <button type="button" ng-click="actionInProgress=true;placeOrdernow=false;verify_fb(false, true); " class="col-md-offset-3 btn btn-info col-md-4"
            ng-disabled="form.$invalid; actionInProgress">Place Order</button>

        </div>
      </div>
    </form>
  </div>
</section>


<script>
  $(document).on("click", ".remove-item", function () {


    //  $(this).parent().remove();
  });
  $(document).ready(function () {

    // $('.remove-item').on('click', function() {
    //  $('.view-cart-info').text($('.cart-total').text());

    //   $(this).parent().remove();
    // });

  });
</script>